<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.fragment.AutoTestMoreFragment">
    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_background">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="30dp"
            android:layout_marginRight="30dp"
            android:orientation="vertical">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <com.bonait.bnframework.common.view.CircleImageView
                            android:id="@+id/cpfm"
                            android:layout_width="150dp"
                            android:layout_height="150dp"
                            android:layout_centerInParent="true"
                            android:scaleType="centerCrop"
                            android:src="@mipmap/loading123" />
                    </RelativeLayout>

                    <TextView
                        android:id="@+id/cpmc"
                        android:layout_width="300dp"
                        android:layout_height="wrap_content"
                        android:text="暂无选择"
                        android:textAlignment="center"
                        android:textColor="#B300F3"
                        android:textSize="30dp"
                        android:textStyle="bold" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:text="温馨提示:点击封面选择菜谱"
                    android:textAlignment="center"
                    android:textColor="#03A9F4"
                    android:textSize="14dp"
                    android:textStyle="bold|italic" />
            </RelativeLayout>
            <!--边框分割细线-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="@dimen/dp_10"
                android:background="@color/color3" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
                <LinearLayout
                    android:layout_centerInParent="true"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="循环次数"
                        android:textSize="25dp"/>
                    <EditText
                        android:id="@+id/caipu11"
                        android:layout_width="120dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:background="@drawable/input_bj"
                        android:inputType="number"
                        android:maxLines="1"
                        android:padding="3dp"
                        android:text="2000"
                        android:textSize="25dp" />
                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="次"
                        android:textSize="25dp"/>

                    <Button
                        android:id="@+id/qingkongjishu"
                        android:layout_width="80dp"
                        android:layout_height="26dp"
                        android:layout_alignParentRight="true"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/button1"
                        android:text="清空计数"
                        android:textSize="14dp" />
                </LinearLayout>
            </RelativeLayout>
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/kaishixunhuan"
                    android:layout_width="300dp"
                    android:layout_height="120dp"
                    android:layout_centerInParent="true"
                    android:layout_marginLeft="@dimen/dp_40"
                    android:layout_marginTop="30dp"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="开始循环\n烹饪"
                    android:textColor="@color/white"
                    android:textSize="30sp" />


            </RelativeLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_alignParentBottom="true">
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="30dp">

                <Button
                    android:id="@+id/qingkong"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="清空显示"
                    android:textSize="14dp" />
            </RelativeLayout>

            <EditText
                android:id="@+id/miaoshu"
                android:layout_width="match_parent"
                android:layout_height="180dp"
                android:background="@drawable/input_bj1"
                android:gravity="top"
                android:inputType="textMultiLine"
                android:padding="3dp"
                android:scrollHorizontally="false"
                android:focusable="false"
                android:clickable="false"
                android:text=""
                android:textSize="12dp" />
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/showbuttomtop"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#BD25323F"
            android:focusable="true"
            android:clickable="true"
            android:visibility="gone">
            <LinearLayout
                android:layout_centerInParent="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:layout_width="340dp"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/fz2"
                    android:text="当前菜谱正在炒制中"
                    android:textAlignment="center"
                    android:textAllCaps="false"
                    android:textColor="#FF6700"
                    android:textSize="50dp"
                    android:textStyle="bold" />
                <TextView
                    android:id="@+id/xunhuancishu"
                    android:layout_marginTop="50dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="0"
                    android:fontFamily="@font/ziti0"
                    android:textAlignment="center"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:textSize="150dp"
                    android:textStyle="bold|italic" />
                <ImageView
                    android:id="@+id/jieshutuichu"
                    android:layout_marginTop="50dp"
                    android:layout_centerInParent="true"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/zhijietuichu"/>
            </LinearLayout>

        </RelativeLayout>
    </RelativeLayout>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>